﻿/**Begin D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_DYNAMSGDEALTRACE') 
 CREATE TABLE T_HRCS_DYNAMSGDEALTRACE (
FID BIGINT DEFAULT 0 NOT NULL,
FMESSAGEID BIGINT DEFAULT 0 NOT NULL,
FSCENEID BIGINT DEFAULT 0 NOT NULL,
FASSIGNDSID BIGINT DEFAULT 0 NOT NULL,
FCANCELDSID BIGINT DEFAULT 0 NOT NULL,
FDYNADSPERSON NCLOB DEFAULT ' ' NOT NULL,
FCHGINFORESULT NCLOB DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_DYNAMSGDEALSCHEME') 
 CREATE TABLE T_HRCS_DYNAMSGDEALSCHEME (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FASSIGNRULEPARAMVAL NCLOB DEFAULT ' ' NOT NULL,
FASSIGNMATCHRESULT NCLOB DEFAULT ' ' NOT NULL,
FASSIGNMATCHEDPERSON NCLOB DEFAULT ' ' NOT NULL,
FASSIGNPERSON NCLOB DEFAULT ' ' NOT NULL,
FASSIGNPERMFILE NCLOB DEFAULT ' ' NOT NULL,
FCANCELPERSON NCLOB DEFAULT ' ' NOT NULL,
FCANCELRULEPARAMVAL NCLOB DEFAULT ' ' NOT NULL,
FCANCELNOMATCHEDUSER NCLOB DEFAULT ' ' NOT NULL,
FCANCELRELATS NCLOB DEFAULT ' ' NOT NULL,
FASSIGNDEALEDPERSON NCLOB DEFAULT ' ' NOT NULL,
FCANCELDEALEDPERSON NCLOB DEFAULT ' ' NOT NULL,
FCANCELMATCHRESULT NCLOB DEFAULT ' ' NOT NULL,
FCONDITIONSIZE INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_DYNAMSGDEALCAL') 
 CREATE TABLE T_HRCS_DYNAMSGDEALCAL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCALMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMSERVICECLASS VARCHAR(100) DEFAULT ' ' NOT NULL,
FMSERVICEMETHOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FINPARAM NCLOB DEFAULT ' ' NOT NULL,
FAPIRESULT NCLOB DEFAULT ' ' NOT NULL,
FRULEPARAMVAL NCLOB DEFAULT ' ' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_DYNAMSGDEALPARAMS') 
 CREATE TABLE T_HRCS_DYNAMSGDEALPARAMS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
